GWT 2.7.0

## com.google.gwt.core.client
Class HttpThrowableReporter

    java.lang.Object
      com.google.gwt.core.client.HttpThrowableReporter

Deprecated. Use `JsonLogRecordClientUtil` instead.

    @Deprecated
    public final class HttpThrowableReporter

extends java.lang.Object

This is a utility class which can report Throwables to the server via a JSON-formatted payload.

Method Summary
`(package private) static java.lang.String` | `buildPayload(java.lang.Throwable t)` Deprecated. Visible for testing.
`static void` | `installUncaughtExceptionHandler(java.lang.String url)` Deprecated. Installs an `GWT.UncaughtExceptionHandler` that will automatically invoke `report(String, Throwable)`.
`static boolean` | `report(java.lang.String url, java.lang.Throwable t)` Deprecated. Report a Throwable to the server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### installUncaughtExceptionHandler

    public static void installUncaughtExceptionHandler(java.lang.String url)

  Deprecated.
  Installs an `GWT.UncaughtExceptionHandler` that will automatically invoke `report(String, Throwable)`.

  Parameters:
    `url` - A URL that is suitable for use with `XMLHttpRequest`

### report

    public static boolean report(java.lang.String url,
                                 java.lang.Throwable t)

  Deprecated.
  Report a Throwable to the server. This method will sent an HTTP `POST` request with a JSON-formatted payload. The payload will consist of a single JSON object with the following keys:
  strongName
    The result of calling `GWT.getPermutationStrongName()`
  message
    The result of calling `Throwable.getMessage()`
  stackTrace
    A list of the methods names in the Throwable's stack trace, derived from `StackTraceElement.getMethodName()`.
  The response from the server is ignored.

  Parameters:
    `url` - A URL that is suitable for use with `XMLHttpRequest`
    `t` - The Throwable to report
  Returns:
    `true` if the request was successfully initiated
  See Also:
    `SymbolMapsLinker`

### buildPayload

    static java.lang.String buildPayload(java.lang.Throwable t)

  Deprecated.
  Visible for testing.

GWT 2.7.0